#!/bin/sh
if /usr/local/quickpet_precise/checks/iconfix
then
touch /tmp/throwaway
else
cp -R /usr/share/icons/hicolcor/scalable/*  /usr/share/icons/hicolor/scalable
rm -R /usr/share/icons/hicolcor
sleep 1
echo "#!/bin/sh" > /usr/local/quickpet_precise/checks/iconfix
chmod a+x /usr/local/quickpet_precise/checks/iconfix
fi

if /usr/local/quickpet_precise/checks/quickpetfix3
then
rm /usr/local/quickpet_precise/checks/quickpetfix2
rm /usr/local/quickpet_precise/checks/quickpetfix
rm /usr/local/quickpet_precise/checks/quickpet
rm -R /usr/local/quickpet_precise/checks/small
else
rm /usr/local/bin/quickpet
rm /usr/local/quickpet_precise/small/quickpet
rm /usr/local/quickpet_precise/big/quickpet
mv /usr/local/quickpet_precise/checks/quickpet  /usr/local/bin/quickpet
mv /usr/local/quickpet_precise/checks/small/quickpet /usr/local/quickpet_precise/small/quickpet 
rm -R /usr/local/quickpet_precise/checks/small
sleep 1
echo "#!/bin/sh" > /usr/local/quickpet_precise/checks/quickpetfix3
chmod a+x /usr/local/quickpet_precise/checks/quickpetfix3
fi

if /usr/local/quickpet_precise/checks/ppm2
then
rm -R /usr/local/quickpet_precise/checks/usr
else
rm -f /usr/local/petget/ui_Ziggy
echo Ziggy > /var/local/petget/ui_choice
cp -R /usr/local/quickpet_precise/checks/usr /
rm -R /usr/local/quickpet_precise/checks/usr
sleep 1
echo "#!/bin/sh" > /usr/local/quickpet_precise/checks/ppm2
chmod a+x /usr/local/quickpet_precise/checks/ppm2
fi

if /usr/local/quickpet_precise/checks/gtkrcmine2
then
touch /tmp/throwaway
else
mv /root/.gtkrc.mine /root/.gtkrc.mine.bak
cp /usr/local/quickpet_precise/checks/.gtkrc.mine /root
sleep 1
echo "#!/bin/sh" > /usr/local/quickpet_precise/checks/gtkrcmine2
chmod a+x /usr/local/quickpet_precise/checks/gtkrcmine2
fi

#For internationalization, run from this level:
# xgettext -L shell -p usr/share/doc/nls/network_tray -o modemiconset.pot --package-name=network_tray --package-version=2.6 usr/sbin/modemiconset

#Adapt for puppies that do not have /root/.config/autostart.
if [ -e root/Startup/network_tray ];then
 rm root/Startup/network_tray
 ln -snf /usr/bin/network_tray root/Startup/network_tray
 rm -f root/.config/autostart/network_tray.desktop
 rmdir --ignore-fail-on-non-empty root/.config/autostart 2>/dev/null
 sed -i -e 's%^/root/\.config/autostart%/root/Startup%' \
  -e 's%\.desktop%%' \
  -e '/\.config/d' \
  root/.packages/network_tray-*.files
fi

#Move hook script for slacko.
if [ -d usr/libexec/dhcpcd-hooks ] \
 && [ ! -h usr/libexec/dhcpcd-hooks ];then
  mv -f lib/dhcpcd/dhcpcd-hooks/99-network_tray usr/libexec/dhcpcd-hooks/
  rmdir --ignore-fail-on-non-empty lib/dhcpcd/dhcpcd-hooks
  rmdir --ignore-fail-on-non-empty lib/dhcpcd
  sed -i -e 's%^/lib/dhcpcd/%/usr/libexec/%' \
   -e 's%^/lib/$%/usr/%' \
  root/.packages/network_tray-*.files
fi

#Remove old network icon set...
rm -f usr/local/lib/X11/mini-icons/networkblank-*.xpm
rm -f usr/local/lib/X11/mini-icons/networkboth-*.xpm
rm -f usr/local/lib/X11/mini-icons/networkdead-*.xpm
rm -f usr/local/lib/X11/mini-icons/networkin-*.xpm
rm -f usr/local/lib/X11/mini-icons/networkout-*.xpm

if [ "$(pwd)" = "/" ];then
 killall -9 network_tray
 if [ -e root/Startup/network_tray ];then
  root/Startup/network_tray &
 else
  network_tray &
 fi
fi

cd usr/local/lib/X11/mini-icons/network_tray-svg
for NEWSTATE in none both active in out; do
  case $NEWSTATE in
    none) OLDSTATE=blank;;
    both) OLDSTATE=both;;
    active) OLDSTATE=dead;;
    in) OLDSTATE=in;;
    out) OLDSTATE=out;;
  esac
  
# Next 3 lines are for woof-ce network_tray-2.9.1 limited set svg icons
  for NEWTYPE in ethernet mobile pots wifi; do
    ln -s network$OLDSTATE.svg $NEWTYPE-$NEWSTATE.svg
  done

# Next 1 line is for 01micko/peebee full set svg icons
#  ln -s ethernet-$NEWSTATE.svg network$OLDSTATE.svg
  
  for NEWSUBTYPE in mobilewifieth mobilewifi mobileeth wifieth; do
  case $NEWSUBTYPE in
    mobilewifieth) OLDSUBTYPE=mobile;;
    mobilewifi) OLDSUBTYPE=mobile;;
    mobileeth) OLDSUBTYPE=mobile;;
    wifieth) OLDSUBTYPE=wifi;;
  esac
    ln -s $OLDSUBTYPE-$NEWSTATE.svg $NEWSUBTYPE-$NEWSTATE.svg
  done
  for NEWSUBTYPE in dialup dialup-analog dialup-mobile eth wireless; do
  case $NEWSUBTYPE in
    dialup) OLDSUBTYPE=pots;;
    dialup-analog) OLDSUBTYPE=pots;;
    dialup-mobile) OLDSUBTYPE=mobile;;
    eth) OLDSUBTYPE=ethernet;;
    wireless) OLDSUBTYPE=wifi;;
  esac
    ln -s $OLDSUBTYPE-$NEWSTATE.svg network$OLDSTATE-$NEWSUBTYPE.svg
  done
done
ln -s ethernet-active.svg dead.svg
cd ..
if [ ! -e network_tray.bak ];then
 mv network_tray network_tray.bak
 ln -s network_tray-svg network_tray
fi

ln -s /usr/bin/avconv /usr/bin/ffmpeg

fixmenus; jwm -reload
yaf-splash -deco 'Servicepack 6.0.2-6.0.3 installed' -center -close box -bg "#21C638" -fontsize x-large -text "Servicepack 6.0.2 - 6.0.3 installed

see quickpet >> help >> installed bugfixes"

if /usr/local/quickpet_precise/checks/findnrun
then
touch /tmp/throwaway
else
exec "/usr/local/apps/Find'N'Run/createshortcut" &
sleep 1
echo "#!/bin/sh" > /usr/local/quickpet_precise/checks/findnrun
chmod a+x /usr/local/quickpet_precise/checks/findnrun
fi

yaf-splash -deco 'Servicepack 6.0.2-6.0.3 installed' -center -close box -bg "#21C638" -text "network_tray has been updated
and the tray icon will work again after a reboot"